Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1943932 - fastavro does not support 32bit architectures
Summary: fastavro does not support 32bit architectures
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: python-fastavro
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-ExcludeArch-x86, F-ExcludeArch-x86 F-ExcludeArch-ARM 1968947
TreeView+ depends on / blocked
 
Reported: 2021-03-28 14:19 UTC by Ankur Sinha (FranciscoD)
Modified: 2022-05-02 00:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-05-02 00:47:41 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github fastavro fastavro issues 526 0 None closed 1.3.4: Failing test on i686 + armv7hl: OverflowError: mktime argument out of range 2021-03-28 14:19:48 UTC

Description Ankur Sinha (FranciscoD) 2021-03-28 14:19:49 UTC
Description of problem:
fastavro upstream does not support 32 bit architectures

Version-Release number of selected component (if applicable):
NA

Upstream issue + confirmation: https://github.com/fastavro/fastavro/issues/526

Comment 1 Zbigniew Jędrzejewski-Szmek 2021-06-17 10:48:53 UTC
This is causing python-dask to ftbfs when it gets scheduled on an arm builder…

Comment 2 Zbigniew Jędrzejewski-Szmek 2021-06-17 11:05:43 UTC
I think we'd be better off just skipping the tests on 32 bit arches.
When noarch packages build-require an archful package that is only available on some arches,
things become very annoying. Either we have to retry builds until we happen to hit a supported
builder, or make the noarch package archful and propagate the arch exclusions. But this 
propagates through the tree, and is a terrible solution. So actually dumb rebuilding in 
a loop is a better of the two options.

Comment 3 Ben Cotton 2021-08-10 12:57:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 4 Ben Beasley 2022-05-02 00:47:41 UTC
We already have in the spec file:

> # Upstream does not test, nor support 32 bit systems
> # Issue: https://github.com/fastavro/fastavro/issues/526
> # Fedora bug: https://bugzilla.redhat.com/show_bug.cgi?id=1943932
> ExcludeArch:    %{arm32} %{ix86}

With these approved for F37:

https://fedoraproject.org/wiki/Changes/RetireARMv7
https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval

…there is no need to keep this tracking bug open any longer.


Note You need to log in before you can comment on or make changes to this bug.